### Function

# FwupdPlugin kernel_get_firmware_search_path

since: 1.8.2

#### Declaration [src]

    gchar*
    fu_kernel_get_firmware_search_path (
      void
      GError** error
    )

#### Description [src]

Reads the FU_PATH_KIND_FIRMWARE_SEARCH and returns its contents.

Available since: 1.8.2

#### Return value

Type: `gchar*`

A pointer to a gchar array.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.